import { useId, useState } from "react";
import { FactBoxBlock as FactBoxBlockType } from "@/gql/graphql";
import styles from "./factBoxBlock.module.scss";
import { Blocks } from "./Blocks";

export const FactBoxBlock = ({ block }: { block: FactBoxBlockType }) => {
  return (
    <section
      className={styles.factBox}
      data-background-color={block.backgroundColor ?? ""}
    >
      <div className={styles.factBoxHeader}>
        <span>{block.heading}</span>
      </div>
      <div className={styles.factBoxContent}>
        <Blocks blocks={block.body} />
      </div>
    </section>
  );
};
